<template>
	<div class="lorem">
		<div>
		<input type="text" v-model="title" />
		</div>

		<textarea v-model="lorem"></textarea>

		<div class="words-counter"><strong>Main text words count:</strong> {{ lorem | countWords }}</div>
		<div class="words-counter"><strong>First words:</strong> {{ firstWords }}</div>
		<div class="words-counter"><strong>Title updates:</strong> {{ titleUpdates }}</div>
	</div>
</template>

<script>
	export default {
		name: "LoremIpsum",
		filters: {
			countWords: function(value) {
				if (!value) {
					return 0;
				}

				return value.trim().split(/\s+/).length;
			}
		},
		computed: {
			firstWords: function () {
				return this.title.split(" ")[0] + ", " + this.lorem.split(" ")[0];
			}
		},
		watch: {
			title: function (newValue, oldValue) {
				this.titleUpdates++;
			}
		},
		data: function() {
			return {
				title: "Example title",
				lorem: "Lorem ipsum dolor sit amet, consectetur adipisicing elit. A ab asperiores at aut deleniti eius explicabo illum, iste molestias mollitia omnis pariatur possimus reprehenderit repudiandae saepe sed sequi unde voluptatum.",
				titleUpdates: 0
			}
		}
	}
</script>

<style scoped>
	.lorem {
		width: 800px;
		margin: 0 auto;
		font-size: 20px;
	}

	.words-counter {
		margin-top: 20px;
	}

	input, textarea {
		padding: 8px;
	}

	input {
		width: 500px;
		margin-bottom: 10px;
	}

	textarea {
		width: 500px;
		height: 250px;

	}
</style>